Package org.apache.commons.imaging.formats.tiff.write

## Class TiffOutputField

- java.lang.Object
- - org.apache.commons.imaging.formats.tiff.write.TiffOutputField

-     public class TiffOutputField
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `int` | `count` |
    `FieldType` | `fieldType` |
    `int` | `tag` |
    `TagInfo` | `tagInfo` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TiffOutputField​(int tag, TagInfo tagInfo, FieldType fieldType, int count, byte[] bytes)` |
    `TiffOutputField​(TagInfo tagInfo, FieldType fieldType, int count, byte[] bytes)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `bytesEqual​(byte[] data)` |
    `protected static TiffOutputField` | `createOffsetField​(TagInfo tagInfo, ByteOrder byteOrder)` |
    `protected org.apache.commons.imaging.formats.tiff.write.TiffOutputItem` | `getSeperateValue()` |
    `int` | `getSortHint()` |
    `protected boolean` | `isLocalValue()` |
    `protected void` | `setData​(byte[] bytes)` |
    `void` | `setSortHint​(int sortHint)` |
    `String` | `toString()` |
    `String` | `toString​(String prefix)` |
    `protected void` | `writeField​(BinaryOutputStream bos)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### tag

          public final int tag

    - #### tagInfo

          public final TagInfo tagInfo

    - #### fieldType

          public final FieldType fieldType

    - #### count

          public final int count

  - ### Constructor Detail

    - #### TiffOutputField

          public TiffOutputField​(TagInfo tagInfo,
                                 FieldType fieldType,
                                 int count,
                                 byte[] bytes)

    - #### TiffOutputField

          public TiffOutputField​(int tag,
                                 TagInfo tagInfo,
                                 FieldType fieldType,
                                 int count,
                                 byte[] bytes)

  - ### Method Detail

    - #### createOffsetField

          protected static TiffOutputField createOffsetField​(TagInfo tagInfo,
                                                             ByteOrder byteOrder)
                                                      throws ImageWriteException

      Throws:
        `ImageWriteException`

    - #### writeField

          protected void writeField​(BinaryOutputStream bos)
                             throws IOException,
                                    ImageWriteException

      Throws:
        `IOException`
        `ImageWriteException`

    - #### getSeperateValue

          protected org.apache.commons.imaging.formats.tiff.write.TiffOutputItem getSeperateValue()

    - #### isLocalValue

          protected final boolean isLocalValue()

    - #### bytesEqual

          public boolean bytesEqual​(byte[] data)

    - #### setData

          protected void setData​(byte[] bytes)
                          throws ImageWriteException

      Throws:
        `ImageWriteException`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toString

          public String toString​(String prefix)

    - #### getSortHint

          public int getSortHint()

    - #### setSortHint

          public void setSortHint​(int sortHint)